Index: tmp/org.txm.groovy.core/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.groovy.core/META-INF/MANIFEST.MF	(revision 1998)
+++ tmp/org.txm.groovy.core/META-INF/MANIFEST.MF	(revision 1999)
@@ -10,5 +10,6 @@
 Require-Bundle: org.txm.core;bundle-version="0.8.0";visibility:=reexport,
  org.txm.annotation.core;visibility:=reexport,
  org.txm.searchengine.cqp.core;visibility:=reexport,
- org.txm.tokenizer.core;visibility:=reexport
+ org.txm.tokenizer.core;visibility:=reexport,
+ org.eclipse.osgi
 
Index: tmp/org.txm.groovy.core/src/java/org/txm/groovy/core/GSERunner.java
===================================================================
--- tmp/org.txm.groovy.core/src/java/org/txm/groovy/core/GSERunner.java	(revision 1998)
+++ tmp/org.txm.groovy.core/src/java/org/txm/groovy/core/GSERunner.java	(revision 1999)
@@ -9,6 +9,8 @@
 import java.util.HashMap;
 import java.util.HashSet;
 import java.util.Map;
+import java.util.jar.Attributes;
+import java.util.jar.Manifest;
 
 import org.codehaus.groovy.control.CompilerConfiguration;
 import org.codehaus.groovy.control.customizers.ImportCustomizer;
@@ -17,6 +19,7 @@
 import org.osgi.framework.BundleContext;
 import org.osgi.framework.wiring.BundleWiring;
 import org.txm.Toolbox;
+import org.txm.utils.BundleUtils;
 import org.txm.utils.logger.Log;
 
 import cern.colt.Arrays;
@@ -113,6 +116,21 @@
 		return defaultGSE;
 	}
 	
+	public static void getDependancies(String bundle, HashSet<String> defaultPlugins) {
+		//if (defaultPlugins.contains(bundle)) return;
+		
+		Bundle rcpBundle = BundleUtils.getBundle(bundle);
+		if (rcpBundle == null) return;
+		String dependanciesString = rcpBundle.getHeaders().get("Require-Bundle");
+		if (dependanciesString == null) return;
+		//System.out.println("Require-Bundle: "+dependanciesString);
+		for (String dependancy : dependanciesString.split(",")) {
+			String name = dependancy.split(";", 2)[0];
+			defaultPlugins.add(name);
+			getDependancies(name, defaultPlugins);
+		}
+	}
+	
 	/**
 	 * 
 	 * @return a class loader containing all bundles activated in TXM
@@ -129,10 +147,14 @@
 //				return -1;
 //			}
 //		});
+		HashSet<String> defaultPlugins = new HashSet<String>();
+		getDependancies("org.txm.rcp", defaultPlugins);
+		
 		for (Bundle b : bundles) {
 			if (b == null) continue;
 			
 			if (!b.getSymbolicName().startsWith("org.txm")) continue;
+			if (defaultPlugins.contains(b.getSymbolicName())) continue;
 			
 			BundleWiring bundleWiring = b.adapt(BundleWiring.class);
 			if (bundleWiring == null) {
@@ -148,6 +170,7 @@
 		}
 
 		Log.fine("Initializing TXMClassLoader with " + loaders.size() + " bundles.");
+		//for (ClassLoader l : loaders) System.out.println(l);
 		return new TXMClassLoader(loaders);
 	}
 
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/BaseAbstractHandler.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/BaseAbstractHandler.java	(revision 1998)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/BaseAbstractHandler.java	(revision 1999)
@@ -64,6 +64,7 @@
 	public boolean checkStatsEngine()	{
 		if(!Toolbox.getEngineManager(EngineType.STATS).isCurrentEngineAvailable())	{
 			Log.warning(StatsEngineCoreMessages.error_statsEngineNotReadyCancelingCommand);
+			return false;
 		}
 		return true;
 	}
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/menu/MacrosMenuContribution.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/menu/MacrosMenuContribution.java	(revision 1998)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/menu/MacrosMenuContribution.java	(revision 1999)
@@ -116,7 +116,7 @@
 		for (File f : files) {
 			if (f.getName().endsWith("Macro.groovy")) {
 				MenuItem menuItem = new MenuItem(menu, SWT.PUSH);
-				menuItem.setText(f.getName());
+				menuItem.setText(f.getName().substring(0, f.getName().length()-12));
 				menuItem.addSelectionListener(new MacroSelectionAdapter(f));
 			} else if (f.isDirectory()) {
 				MenuItem subMenuItem = new MenuItem(menu, SWT.CASCADE);
Index: tmp/org.txm.core/src/java/org/txm/utils/BundleUtils.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/utils/BundleUtils.java	(revision 1998)
+++ tmp/org.txm.core/src/java/org/txm/utils/BundleUtils.java	(revision 1999)
@@ -37,6 +37,10 @@
 		return FrameworkUtil.getBundle(clazz);
 	}
 	
+	public static Bundle getBundle(String bundle_id) {
+		return Platform.getBundle(bundle_id);
+	}
+	
 	public static String getBundleId(Class clazz) {
 		return getBundle(clazz).getSymbolicName();
 	}
